Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 644550 - sys-auth/consolekit - support files split with SYMLINK_LIB=n (?)
Summary: sys-auth/consolekit - support files split with SYMLINK_LIB=n (?)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Jason Zaman
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: no-symlink-lib
  Show dependency tree
 
Reported: 2018-01-14 14:23 UTC by Brian Evans
Modified: 2020-10-04 14:39 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Evans Gentoo Infrastructure gentoo-dev 2018-01-14 14:23:38 UTC
With the upcoming 17.1 profile on multilib systems (starting with amd64).

Supporting files are now split between /usr/lib/Consolekit and /usr/lib64/Consolekit.

Also libexecdir is listed as /usr/lib/Consolekit in pkgconfig files:

/usr/lib64/pkgconfig/ck-connector.pc
/usr/lib64/pkgconfig/libconsolekit.pc

Which location is correct?

I need to do more testing to see if anything is truly broken as-is.
Comment 1 Guillermo D. H. 2019-09-24 21:49:42 UTC
I believe at least references to /usr/lib/ConsoleKit/run-seat.d and /usr/lib/ConsoleKit/run-session.d in the ebuild are wrong for profile 17.1. As far as I can tell, console-kit-daemon expects them to be in the configured libdir, which would be /usr/lib64.

ConsoleKit2-1.2.1/src/Makefile.am:
AM_CFLAGS = \
...
        -DLIBDIR=\""$(libdir)"\" \
...

$ grep -r 'run-se.*\.d' ConsoleKit2-1.2.1/*
ConsoleKit2-1.2.1/src/ck-session.c:        ck_run_programs (SYSCONFDIR "/ConsoleKit/run-session.d", action, extra_env);
ConsoleKit2-1.2.1/src/ck-session.c:        ck_run_programs (LIBDIR "/ConsoleKit/run-session.d", action, extra_env);
ConsoleKit2-1.2.1/src/ck-seat.c:        ck_run_programs (SYSCONFDIR "/ConsoleKit/run-seat.d", action, extra_env);
ConsoleKit2-1.2.1/src/ck-seat.c:        ck_run_programs (LIBDIR "/ConsoleKit/run-seat.d", action, extra_env);
ConsoleKit2-1.2.1/src/Makefile.am:	-mkdir -p $(DESTDIR)$(sysconfdir)/ConsoleKit/run-session.d
ConsoleKit2-1.2.1/src/Makefile.am:	-mkdir -p $(DESTDIR)$(libdir)/ConsoleKit/run-session.d
ConsoleKit2-1.2.1/src/Makefile.am:	-mkdir -p $(DESTDIR)$(sysconfdir)/ConsoleKit/run-seat.d
ConsoleKit2-1.2.1/src/Makefile.am:	-mkdir -p $(DESTDIR)$(libdir)/ConsoleKit/run-seat.d
...
Comment 2 Larry the Git Cow gentoo-dev 2020-10-04 14:39:15 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=39ece3ff2467f0c1a3dc946767f3896d31055198

commit 39ece3ff2467f0c1a3dc946767f3896d31055198
Author:     Mikle Kolyada <zlogene@gentoo.org>
AuthorDate: 2020-10-04 14:33:57 +0000
Commit:     Mikle Kolyada <zlogene@gentoo.org>
CommitDate: 2020-10-04 14:39:06 +0000

    sys-auth/consolekit: remove last-rited pkg
    
    Bug: https://bugs.gentoo.org/727730
    Closes: https://bugs.gentoo.org/644550
    Closes: https://bugs.gentoo.org/667912
    Closes: https://bugs.gentoo.org/644548
    Closes: https://bugs.gentoo.org/601878
    Closes: https://bugs.gentoo.org/699592
    Closes: https://bugs.gentoo.org/651788
    Closes: https://bugs.gentoo.org/614658
    Closes: https://bugs.gentoo.org/593306
    
    Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>

 sys-auth/consolekit/Manifest                       |   6 -
 sys-auth/consolekit/consolekit-0.4.6.ebuild        | 125 -------------------
 sys-auth/consolekit/consolekit-1.1.0-r1.ebuild     | 120 -------------------
 sys-auth/consolekit/consolekit-1.1.2.ebuild        | 131 --------------------
 sys-auth/consolekit/consolekit-1.2.0.ebuild        | 132 ---------------------
 sys-auth/consolekit/consolekit-1.2.1.ebuild        | 132 ---------------------
 sys-auth/consolekit/consolekit-9999.ebuild         | 128 --------------------
 sys-auth/consolekit/files/90-consolekit-3          |  32 -----
 sys-auth/consolekit/files/consolekit-0.2.rc        |  25 ----
 .../files/consolekit-0.4.5-polkit-automagic.patch  |  30 -----
 sys-auth/consolekit/files/consolekit-1.0.0.initd   |  16 ---
 ...ove-the-root-restriction-for-runtime-dirs.patch |  57 ---------
 .../files/consolekit-cleanup_console_tags.patch    |  67 -----------
 ...nsolekit-shutdown-reboot-without-policies.patch |  26 ----
 .../files/consolekit-udev-acl-install_to_usr.patch |  28 -----
 sys-auth/consolekit/files/pam-foreground-compat.ck |  17 ---
 sys-auth/consolekit/metadata.xml                   |  22 ----
 17 files changed, 1094 deletions(-)